{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% block css %}

    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/cropper/cropper.min.css' %}">
    <style>
        .crop-preview > canvas {
            width: 100%;
            height: auto;
        }
        .django-ckeditor-widget{
            width: 100% !important;
        }
    </style>

{% endblock css %}

{% block scripts %}
    {% load static %}

    <script type="text/javascript" src="{% static 'ckeditor/ckeditor-init.js' %}"></script>
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor/ckeditor.js' %}"></script>

{% endblock scripts %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_KM' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page"><a href="{% url 'profile:admin_KM' %}">Kata Mereka</a></li>
            <li class="breadcrumb-item active" aria-current="page">{% if edit %}Ubah{% else %}Tambah{% endif %}</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    
    <div class="card mb-5 shadow">
        <h5 class="card-header">{% if edit %}Ubah{% else %}Tambah{% endif %} Kata Mereka</h5>
        <div class="card-body">
            {% if edit %}
                {% if news.image %}
                    <div class="col col-md-12 mb-2 text-center" id="old-image">
                        <img class="img-responsive center-block" style="max-width: 100%; max-height: 100%;" src="{{news.image.url}}" alt="">
                        <p><small>File foto lama.</small></p>
                    </div>
                {% endif %}
            {% endif %}
            {% include 'profile/admin/kata/form.html' %}
        </div>
    </div>
    
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %} 
    <script src="{% static 'admin/js/cropper/cropper.min.js' %}"></script>
    <script src="{% static 'admin/js/cropper/jquery-cropper.min.js' %}"></script>
    <script>
        $( document ).ready(function() {
            $(".modal-close").click(function(){
                $("#id_thumbnail").val(null);
            });

            $("#id_thumbnail").change(function () {
                if (this.files && this.files[0]) {
                    let reader = new FileReader();
                    
                    reader.onload = function (e) {
                        $("#image").attr("src", e.target.result);
                        $("#modalCrop").modal("show");
                    }

                    reader.readAsDataURL(this.files[0]);
                }
            });

            let $image = $("#image");
            let cropBoxData;
            let canvasData;

            $("#modalCrop").on("shown.bs.modal", function () {
                $image.cropper({
                    viewMode: 1,
                    aspectRatio: 4/2,
                    minCropBoxWidth: 200,
                    minCropBoxHeight: 200,
                    ready: function () {
                        $image.cropper("setCanvasData", canvasData);
                        $image.cropper("setCropBoxData", cropBoxData);
                }
            });

            }).on("hidden.bs.modal", function () {
                cropBoxData = $image.cropper("getCropBoxData");
                canvasData = $image.cropper("getCanvasData");
                $image.cropper("destroy");
            });

            // Enable zoom in button
            $(".js-zoom-in").click(function () {
                $image.cropper("zoom", 0.1);
            });

            // Enable zoom out button
            $(".js-zoom-out").click(function () {
                $image.cropper("zoom", -0.1);
            });

            $(".js-crop-and-upload").click(function () {
                var cropData = $image.cropper("getData");
                $("#id_x").val(cropData["x"]);
                $("#id_y").val(cropData["y"]);
                $("#id_height").val(cropData["height"]);
                $("#id_width").val(cropData["width"]);
                $("#modalCrop").modal('hide');
                let data;
                let croppedimage = $image.cropper("getCroppedCanvas")
                $(".crop-preview").html(croppedimage);
                $("#old-image").addClass('d-none');
                $("#old-image").hide();
            });
        });
    </script>
{% endblock scripts_bawah %}